Bug 1233962 - Add ability to set neutron parameters on CLI
Summary: Add ability to set neutron parameters on CLI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin
Version: Director
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ga
: Director
Assignee: RHOS Maint
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-19 20:27 UTC by Brad P. Crochet
Modified: 2015-08-05 13:54 UTC (History)
7 users (show)

Fixed In Version: python-rdomanager-oscplugin-0.0.8-3.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 13:54:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gerrithub.io 236528 None None None Never
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Brad P. Crochet 2015-06-19 20:27:26 UTC
The cli needs the ability to specify neutron parameters for a deployment.

Comment 3 Brad P. Crochet 2015-06-19 20:28:39 UTC
Fixed by https://review.gerrithub.io/#/c/236528/

Comment 6 Ofer Blaut 2015-06-28 15:16:09 UTC
 --neutron-flat-networks NEUTRON_FLAT_NETWORKS
  --neutron-physical-bridge NEUTRON_PHYSICAL_BRIDGE
  --neutron-bridge-mappings NEUTRON_BRIDGE_MAPPINGS
  --neutron-public-interface NEUTRON_PUBLIC_INTERFACE
  --hypervisor-neutron-public-interface HYPERVISOR_NEUTRON_PUBLIC_INTERFACE
  --neutron-network-type NEUTRON_NETWORK_TYPE
  --neutron-tunnel-types NEUTRON_TUNNEL_TYPES
  --neutron-disable-tunneling
  --neutron-network-vlan-ranges NEUTRON_NETWORK_VLAN_RANGES
  --overcloud_nameserver OVERCLOUD_NAMESERVER
  --floating-ip-cidr FLOATING_IP_CIDR
  --floating-ip-start FLOATING_IP_START
  --floating-ip-end FLOATING_IP_END
  --bm-network-gateway BM_NETWORK_GATEWAY
  --network-cidr NETWORK_CIDR

python-rdomanager-oscplugin-0.0.8-13.el7ost.noarch

Comment 8 errata-xmlrpc 2015-08-05 13:54:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.